<?php
require 'constants.php';
require 'header.php';

echo "  <h1>Administrator: Add Multiple Members</h1>\n";

if (stripslashes($_POST['names']) == '') {
	echo "  <p class=\"error\">Some required fields were not filled out.</p>
		<p class=\"goback\">Return to the <a href=\"add-group.php\">Add Group</a> page.</p>";
}
else if (verifyPassword($db, stripslashes($_POST['password']), array(PERM_MODIFY_MEMBERS => TRUE))) {
	begin($db);

	// break up names with comma as delimiter
	$names = explode(',', stripslashes($_POST['names']));
	// insert each name into the players table
	for ($i=0; $i != count($names); $i++) {
		$result = pg_query($db, "INSERT INTO Players (name) VALUES ('" . pg_escape_string($names[$i]) . "');");
		if (!$result) { echo "  <p class=\"error\">Error: Couldn't add " . $names[$i] . " to the Players table: " . pg_last_error($db); require 'footer.php'; exit; }
	}

	commit($db);
	echo "  <p>All guild members were successfully added.</p>
		<p class=\"goback\">Return to the <a href=\"index.php\">Player List</a>.</p>";
}
else {
	echo "  <p class=\"error\">The supplied administrator password was incorrect.</p>
		<p class=\"goback\">Return to the <a href=\"add-group.php\">Add Group</a> page.</p>";
}

require 'footer.php';
?>
