<?php
require 'constants.php';
require 'header.php';

echo "  <h1>Administrator: Remove Guild Member</h1>\n";

if (stripslashes($_POST['name']) == '') {
	echo "  <p class=\"error\">A guild member was not specified.</p>
		<p class=\"goback\">Return to the <a href=\"remove-member.php?name=" . stripslashes($_POST['name']) . "\">Remove Member</a> page.</p>";
}
else if (verifyPassword($db, stripslashes($_POST['password']), array(PERM_MODIFY_MEMBERS => TRUE))) {
	begin($db);

	$query = "UPDATE Players SET active = FALSE WHERE name='" . pg_escape_string(stripslashes($_POST['name'])) . "';";
	$result = pg_query($db, $query);
	if (!$result) { echo "  <p class=\"error\">Could not update player in Players table: " . pg_last_error($db); require 'footer.php'; exit; }

	commit($db);
	echo "  <p>Guild member " . stripslashes($_POST['name']) . " was successfully removed from the DKP system.</p>
		<p class=\"goback\">Return to the <a href=\"index.php\">Player List</a>.</p>";
}
else {
	echo "  <p class=\"error\">The supplied administrator password was incorrect.</p>
		<p class=\"goback\">Return to the <a href=\"remove-member.php?name=" . stripslashes($_POST['name']) . "\">Remove Member</a> page.</p>";
}

require 'footer.php';
?>
