<?php

$GUILD_NAME = "Your Guild Name Here";

define("PERM_MODIFY_MEMBERS", "manage_members");
define("PERM_MODIFY_DKP", "manage_dkp");

$db = pg_connect("host=localhost dbname=your_db_name user=your_db_user password=your_db_password");

function verifyPassword($dbr, $password, $permissionsTypes) {
	$query = "SELECT manage_members, manage_dkp FROM Passwords WHERE password='" . pg_escape_string($password) . "';";
	$result = pg_query($dbr, $query);
	if (!$result) {
		echo " <p class=\"error\">A critical database error has prevented the password from being verified: " . pg_last_error($db) . "</p>\n";
		require 'footer.php';
		exit;
	}

	$row = pg_fetch_assoc($result);
	if (!$row) return false;
	return (($row[PERM_MODIFY_MEMBERS] && $permissionsTypes[PERM_MODIFY_MEMBERS])
			|| ($row[PERM_MODIFY_DKP] == $permissionsTypes[PERM_MODIFY_DKP]));
}

function begin($db) {
	$result = pg_query($db, "BEGIN;");
	if (!$result) {
		echo "<p class=\"error\">Couldn't begin a transaction: " . pg_last_error($db) . "</p>\n";
		require 'footer.php';
		exit;
	}
}

function commit($db) {
	$result = pg_query($db, "COMMIT;");
	if (!$result) {
		echo "<p class=\"error\">Couldn't commit a transaction: " . pg_last_error($db) . "</p>\n";
		require 'footer.php';
		exit;
	}
}

function rollback($db) {
	$result = pg_query($db, "ROLLBACK;");
	if (!$result) {
		echo "<p class=\"error\">Couldn't rollback a transaction: " . pg_last_error($db) . "</p>\n";
		require 'footer.php';
		exit;
	}
}

?>
