<?php
require 'constants.php';
require 'header.php';

$result = pg_query($db, "SELECT name, raid_id FROM DKP WHERE change_id=" . pg_escape_string(stripslashes($_GET['id'])) . ";");
if (!$result) { echo "  <p class=\"error\">Couldn't get the player and raid ID for this DKP entry: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
$row = pg_fetch_row($result);
$player = $row[0];
$raid = $row[1];
if (pg_fetch_row($result)) { echo "  <p class=\"error\">Unexpectedly got more than one DKP entry with the same change ID. This is pretty bad.</p>\n"; require 'footer.php'; exit; }

echo "  <h1>Administrator: Edit $player's DKP Entry</h1>
<form method=\"post\" action=\"action-dkpedit.php\">
<p>
<input type=\"hidden\" name=\"id\" value=\"" . stripslashes($_GET['id']) . "\" />
Raid:
<select name=\"raid\">";

$result = pg_query($db, "SELECT raid_id, date, note FROM Raids ORDER BY date DESC;");
if (!$result) { echo "  <p class=\"error\">Couldn't get a list of raids: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
while ($row = pg_fetch_row($result)) {
	if ($row[0] == $raid) echo "     <option selected=\"selected\" value=\"" . $row[0] . "\">($row[1]) $row[2]</option>\n";
	else echo "     <option value=\"" . $row[0] . "\">($row[1]) $row[2]</option>\n";
}

$result = pg_query($db, "SELECT amount FROM DKP WHERE change_id = " . pg_escape_string(stripslashes($_GET['id'])) . ";");
if (!$result) { echo "  <p class=\"error\">Couldn't get the amount for this DKP entry: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
$row = pg_fetch_row($result);
echo "    </select>
</p>
<p>DKP: <input type=\"text\" name=\"amount\" value=\"$row[0]\"/></p>\n";

$result = pg_query($db, "SELECT item FROM Bids WHERE change_id=" . pg_escape_string(stripslashes($_GET['id'])) . ";");
if (!$result) { echo "  <p class=\"error\">Couldn't get the Bids entry (if it exists) for this DKP entry: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
if (pg_num_rows($result)) {
	$row = pg_fetch_row($result);
	echo "   <p>Item won: <input type=\"text\" name=\"item\" value=\"$row[0]\"/></p>\n";
}

echo "   <p class=\"admin\">Type in the administrator password <input type=\"password\" name=\"password\" /> to <input type=\"submit\" name=\"submit\" value=\"Apply the Changes\" />.</p>
</form>
<form method=\"post\" action=\"action-dkpdelete.php\">
<p class=\"admin\">
<input type=\"hidden\" name=\"id\" value=\"" . stripslashes($_GET['id']) . "\" />
Alternatively, type in the administrator password <input type=\"password\" name=\"password\" /> to <input type=\"submit\" name=\"submit\" value=\"Remove this Entry\" />.
</p>
</form>
<p class=\"goback\">Return to the <a href=\"index.php\">Player List</a>.</p>";

require 'footer.php';
?>
