<?php

$query = "SELECT url, S.name, S.tier FROM Items I, Sets S WHERE S.id = I.set_id AND I.item = '" . pg_escape_string(stripslashes($_GET['item'])) . "';";
$result = pg_query($db, $query);
if (!$result) { echo "  <p class=\"error\">Couldn't get URL for this item: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
$row = pg_fetch_row($result);
$url = $row[0];
if ($row[2] == '') $setName = 'N/A';
else $setName = "$row[1] (tier $row[2])";

echo "  <h1>" . stripslashes($_GET['item']) . "</h1>
<p><b>Set:</b> $setName<br />
<b>Thottbot Link:</b> <a href=\"$url\">$url</a></p>\n";

$sort = 'date';
if (stripslashes($_GET['sort']) == 'player') $sort = 'player';
if (stripslashes($_GET['sort']) == 'bid') $sort = 'bid';

$query = "SELECT P.active, P.class, R.raid_id, R.date, P.name, D.amount, D.change_id FROM Raids R, Players P, DKP D INNER JOIN Bids B ON B.change_id = D.change_id WHERE B.item = '" . pg_escape_string(stripslashes($_GET['item'])) . "' AND P.name = D.name AND D.raid_id = R.raid_id ";
if ($sort == 'date') $query .= "ORDER BY R.date DESC, P.name ASC;";
if ($sort == 'player') $query .= "ORDER BY P.name ASC, R.date DESC;";
if ($sort == 'bid') $query .= "ORDER BY D.amount ASC, R.date DESC;";

$result = pg_query($db, $query);
if (!$result) { echo "  <p class=\"error\">Couldn't get bid history for this item: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
if (pg_num_rows($result)) {
	echo "  <table>
		<tr>\n";
	if ($sort == 'date') echo "    <th class=\"primary\">Date</td>\n";
	else echo "    <th><a href=\"index.php?show=item&amp;item=" . stripslashes($_GET['item']) . "&amp;sort=date\">Date</a></th>\n";
	if ($sort == 'player') echo "    <th class=\"primary\">Player</td>\n";
	else echo "    <th><a href=\"index.php?show=item&amp;item=" . stripslashes($_GET['item']) . "&amp;sort=player\">Player</a></th>\n";
	if ($sort == 'bid') echo "    <th class=\"primary\">Bid</th>\n";
	else echo "    <th><a href=\"index.php?show=item&amp;item=" . stripslashes($_GET['item']) . "&amp;sort=bid\">Bid</a></th>\n";
	echo "    <th>Admin</th>
		</tr>";
	while ($row = pg_fetch_row($result)) {
		if ($row[0] == 't') {
			echo "
				<tr class=\"class-" . $row[1] . "\">
				<td class=\"primary\"><a href=\"index.php?show=raid&amp;id=$row[2]\">$row[3]</a></td>
				<td class=\"table\"><a href=\"index.php?show=player&amp;name=$row[4]\">$row[4]</a></td>
				<td class=\"numeric\">$row[5]</td>
				<td><a href=\"edit-dkp.php?id=" . $row[6] . "\">Edit</a></td>
				</tr>";
		}
		else {
			echo "
				<tr class=\"class-Unspecified\">
				<td class=\"primary\"><span class=\"disabled\"><a href=\"index.php?show=raid&amp;id=$row[2]\">$row[3]</a></span></td>
				<td class=\"table\"><span class=\"disabled\">$row[4]</span></td>
				<td class=\"numeric\"><span class=\"disabled\">$row[5]</span></td>
				<td><a href=\"edit-dkp.php?id=" . $row[6] . "\">Edit</a></td>
				</tr>";
		}
	}
	echo "
		</table>\n\n";
}
else {
	echo "  <p><i>" . stripslashes($_GET['item']) . " has no bid history.</i></p>";
}

?>
