<?php

$sort = 'date';
if (stripslashes($_GET['sort']) == 'instance') $sort = 'instance';
$page = 1;
if (is_numeric(stripslashes($_GET['page']))) $page = stripslashes($_GET['page']);
$offset = ($page - 1)*50;

$query = "SELECT R.date, R.instance, R.raid_id, R.note from Raids R WHERE R.instance != 'Correction Entry' ";
if ($sort == 'instance') $query .= 'ORDER BY R.instance ASC, R.date DESC';
else  $query .= 'ORDER BY date DESC';
$query .= " OFFSET $offset LIMIT 50;";

$result = pg_query($db, $query);
if (!$result) { echo "  <p class=\"error\">Couldn't get raid information: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }

echo "
<table>
<tr>\n";
if ($sort == 'date') echo "    <th class=\"primary\">Date</th>\n";
else echo "    <th><a href=\"index.php?show=raids\">Date</a></th>\n";
if ($sort == 'instance') echo "    <th class=\"primary\">Instance</th>\n";
else echo "    <th><a href=\"index.php?show=raids&amp;sort=instance\">Instance</a></th>\n";
echo "    <th class=\"header\">Note</th>
</tr>";
while ($row = pg_fetch_row($result)) {
	echo "
		<tr class=\"instance-" . str_replace(" ","-",str_replace("'","",$row[1])) . "\">
		<td class=\"primary\">$row[0]</td>
		<td>$row[1]</td>
		<td><a href=\"index.php?show=raid&amp;id=$row[2]\">$row[3]</a></td>
		</tr>";
}
echo "
</table>\n";

if (pg_num_rows($result) == 0 && $page == 1) echo "<p><i>There have been no raids yet.</i></p>";

$prevPage = $page - 1;
$nextPage = $page + 1;
if ($page > 1) echo "<p class=\"page-prev\"><a href=\"index.php?show=raids&page=$prevPage\">&lt; 50 newer raids &lt;</a></p>\n";
if (pg_num_rows($result) == 50) echo "<p class=\"page-next\"><a href=\"index.php?show=raids&page=$nextPage\">&gt; 50 older raids &gt;</a></p>\n";

?>
