<?php
require 'constants.php';
require 'header.php';
?>

<h1>Administrator: Add New Members</h1>
<form method="post" action="action-groupadd.php">
<p>Member Names: <input type="text" name="names" size="50" /></p>
<p class="note">Enter multiple member names separated by commas. Do not use spaces. As an example: <i>Playerone,Playertwo,Playerthree</i></p>
<p class="note">No class information will be stored for new members. You must visit their member history page to specify their class.</p>
<p class="note">Member names can only be single words. They can only contain alphanumeric characters. Capitalization is respected; &quot;Fancylad&quot; is distinct from &quot;FancyLad&quot;. Best to just stick with their World of Warcraft name.</p>
<p class="admin">Type in the administrator password <input type="password" name="password" /> to <input type="submit" name="submit" value="Add These Users" />.</p>
</form>
<p class="goback">Return to the <a href="index.php">Player List</a>.</p>

<?php
require 'footer.php';
?>
