<?php
require 'constants.php';
require 'header.php';

echo "  <h1>Administrator: Edit Raid</h1>
<form method=\"post\" action=\"action-raidedit.php\">
<p>
<input type=\"hidden\" name=\"id\" value=\"" . stripslashes($_GET['id']) . "\" />
Select the instance that was run:
<select name=\"instance\">\n";

$result = pg_query($db, "SELECT date, instance, note FROM Raids WHERE raid_id=" . pg_escape_string(stripslashes($_GET['id'])) . ";");
if (!$result) { echo "  <p class=\"error\">Couldn't get the raid information: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
$raidInfo = pg_fetch_row($result);

$result = pg_query($db, "SELECT instance FROM Instances ORDER BY instance ASC;");
if (!$result) { echo "  <p class=\"error\">Couldn't get a list of instances: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }
while ($row = pg_fetch_row($result)) {
	if ($row[0] == $raidInfo[1]) echo "     <option selected=\"selected\">$row[0]</option>\n";
	else echo "     <option>$row[0]</option>\n";
}

echo "    </select>
</p>
<p>Enter the date for the run: <input type=\"text\" name=\"date\" value=\"$raidInfo[0]\"/></p>
<p>Enter a note to associate with the run: <input type=\"text\" name=\"note\" value=\"$raidInfo[2]\"/></p>
<table>
<tr>
<th class=\"primary\">Player</th>
<th>DKP</th>
</tr>";

$query = 'SELECT P.name, (CASE WHEN DR.amount IS NULL THEN 0 ELSE DR.amount END) FROM Players P LEFT JOIN (SELECT * FROM DKP D LEFT JOIN Bids B ON B.change_id = D.change_id WHERE B.change_id IS NULL AND D.raid_id = ' . pg_escape_string(stripslashes($_GET['id'])) . ') AS DR ON DR.name = P.name WHERE P.active = TRUE OR DR.amount > 0 ORDER BY P.name ASC;';
$result = pg_query($db, $query);
if (!$result) { echo "  <p class=\"error\">Couldn't get a list of players: " . pg_last_error($db) . "</p>\n"; require 'footer.php'; exit; }

while ($row = pg_fetch_row($result)) {
	echo "
		<tr>
		<td class=\"primary\">$row[0]</td>\n
		<td><input type=\"text\" name=\"dkp-$row[0]\" size=\"5\" value=\"$row[1]\" /></td>
		</tr>";
}

echo "   </table>
<p class=\"admin\">Type in the administrator password <input type=\"password\" name=\"password\" /> to <input type=\"submit\" name=\"submit\" value=\"Update DKP\" />.</p>
</form>
<p class=\"goback\">Return to the <a href=\"index.php\">Player List</a>.</p>";

require 'footer.php';
?>
